Bug 433434 - camlidl - ocaml FFI generator
camlidl - ocaml FFI generator
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ocaml (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
http://caml.inria.fr/pub/old_caml_sit...
:
Depends On: 435982
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-19 04:30 EST by Richard W.M. Jones
Modified: 2008-03-05 17:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-05 17:26:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2008-02-19 04:30:22 EST
camlidl is an FFI generator for OCaml.

This is a tracking bug for packaging camlidl.
Comment 1 Richard W.M. Jones 2008-02-20 08:27:06 EST
Hezekiah: Please can you try this package and post your results here.

http://www.annexia.org/tmp/ocaml/ocaml-camlidl-1.05-1.fc8.src.rpm
Comment 2 Hezekiah M. Carty 2008-03-04 13:38:06 EST
I have built the RPM on a x86 32bit CentOS 5 system using manually recompiled
OCaml 3.10.0 packages from Fedora.  The packages were able to build and pass a
few basic tests (compiling and testing a program which uses a camlidl generated
interface).

It looks good from here.
Comment 3 Richard W.M. Jones 2008-03-04 13:44:36 EST
That's good news.  I too spent some time playing with camlidl
and this package seemed to work (although camlidl wasn't really
that useful for me -- I was trying to build an Avahi wrapper
and it didn't really make the job that much easier).

I'll put in a review request for this package shortly.
Comment 4 Richard W.M. Jones 2008-03-05 17:26:49 EST
Now in Rawhide.  Thanks for your help.

Note You need to log in before you can comment on or make changes to this bug.